Channels
Bulk Create Channel Content Overrides
Creates or updates multiple channel content overrides for products or variants in a single operation. Supports partial success — individual failures don’t affect successful creations.
POST
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
channels
/
{channel_id}
/
content
/
bulk
Bulk Create Channel Content Overrides
curl --request POST \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk \
--header 'Content-Type: application/json' \
--data '
{
"content": [
{
"parent_id": "<string>",
"relationships": [
"<string>"
],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"value": "<string>"
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk"
payload = { "content": [
{
"parent_id": "<string>",
"relationships": ["<string>"],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"value": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
content: [
{
parent_id: '<string>',
relationships: ['<string>'],
translations: [{language_code: '<string>', value: '<string>'}],
value: '<string>'
}
]
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => [
[
'parent_id' => '<string>',
'relationships' => [
'<string>'
],
'translations' => [
[
'language_code' => '<string>',
'value' => '<string>'
]
],
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk"
payload := strings.NewReader("{\n \"content\": [\n {\n \"parent_id\": \"<string>\",\n \"relationships\": [\n \"<string>\"\n ],\n \"translations\": [\n {\n \"language_code\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk")
.header("Content-Type", "application/json")
.body("{\n \"content\": [\n {\n \"parent_id\": \"<string>\",\n \"relationships\": [\n \"<string>\"\n ],\n \"translations\": [\n {\n \"language_code\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": [\n {\n \"parent_id\": \"<string>\",\n \"relationships\": [\n \"<string>\"\n ],\n \"translations\": [\n {\n \"language_code\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"payload": {
"field_type": "name",
"parent_id": "<string>",
"parent_type": "product",
"relationships": [
"<string>"
],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"value": "<string>"
},
"reason": "<string>"
}
],
"successful": [
{
"created_at": "<string>",
"field_type": "<string>",
"id": "<string>",
"parent_id": "<string>",
"parent_type": "<string>",
"preview": [
"<string>"
],
"relationships": [
"<string>"
],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"updated_at": "<string>",
"value": "<string>"
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Path Parameters
Team slug
App slug
Channel ID
Body
application/json
Channel content data to create
Maximum array length:
100Show child attributes
Show child attributes
⌘I
Bulk Create Channel Content Overrides
curl --request POST \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk \
--header 'Content-Type: application/json' \
--data '
{
"content": [
{
"parent_id": "<string>",
"relationships": [
"<string>"
],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"value": "<string>"
}
]
}
'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk"
payload = { "content": [
{
"parent_id": "<string>",
"relationships": ["<string>"],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"value": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
content: [
{
parent_id: '<string>',
relationships: ['<string>'],
translations: [{language_code: '<string>', value: '<string>'}],
value: '<string>'
}
]
})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => [
[
'parent_id' => '<string>',
'relationships' => [
'<string>'
],
'translations' => [
[
'language_code' => '<string>',
'value' => '<string>'
]
],
'value' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk"
payload := strings.NewReader("{\n \"content\": [\n {\n \"parent_id\": \"<string>\",\n \"relationships\": [\n \"<string>\"\n ],\n \"translations\": [\n {\n \"language_code\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"value\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk")
.header("Content-Type", "application/json")
.body("{\n \"content\": [\n {\n \"parent_id\": \"<string>\",\n \"relationships\": [\n \"<string>\"\n ],\n \"translations\": [\n {\n \"language_code\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"value\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": [\n {\n \"parent_id\": \"<string>\",\n \"relationships\": [\n \"<string>\"\n ],\n \"translations\": [\n {\n \"language_code\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"value\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"failed": [
{
"payload": {
"field_type": "name",
"parent_id": "<string>",
"parent_type": "product",
"relationships": [
"<string>"
],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"value": "<string>"
},
"reason": "<string>"
}
],
"successful": [
{
"created_at": "<string>",
"field_type": "<string>",
"id": "<string>",
"parent_id": "<string>",
"parent_type": "<string>",
"preview": [
"<string>"
],
"relationships": [
"<string>"
],
"translations": [
{
"language_code": "<string>",
"value": "<string>"
}
],
"updated_at": "<string>",
"value": "<string>"
}
]
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}